package com.philisense.www.dao;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface ProOrgDAO extends BaseCRUDDAO{
    public List<Map<String, Object>> getProOrgTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProOrgTreeByLevelCode(Map<String, Object> map);


    public List<Map<String, Object>> getPageProOrgByOrgCode(Map<String, Object> map);

    public int getCountProOrgByOrgCode(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void updateBatchLevelCode(Map<String, Object> map);

    List<Map<String, Object>> getAllOrg(Map<String, Object> map);
}
